Bug 800510 - icecream does not support IPv6
icecream does not support IPv6
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: icecream (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
: FutureFeature, Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 10:51 EST by Petr Pisar
Modified: 2017-03-07 14:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-07 14:34:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-03-06 10:51:24 EST
netstat and greping sourced for INET shows IPv4 protocol family is hard-coded into icecream.

It would be great to generalize the socket handling to get IPv6 support. I have no idea how network addresses are registered on the scheduler. Maybe protocol change will be needed.
Comment 1 Michal Schmidt 2012-03-07 06:31:20 EST
I don't have time to work on this myself, but I will ask upstream about their intentions concerning IPv6.
Comment 2 Fedora End Of Life 2013-01-16 10:58:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Petr Pisar 2013-01-17 06:24:37 EST
Still issue in F17.
Comment 4 Fedora End Of Life 2013-07-03 21:10:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Petr Pisar 2013-07-04 03:39:59 EDT
Still issue in F18.
Comment 6 Fedora End Of Life 2013-12-21 03:33:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Petr Pisar 2014-01-02 10:23:50 EST
Still issue in F19.
Comment 8 Michal Schmidt 2014-01-02 10:34:55 EST
I discussed this with upstream a while ago.

Michael Matz said:
  Shouldn't be too hard, a bit factoring in comm.cpp, but I probably won't
  work on it in the near future myself.  The broadcasting for discovery will
  be a bit more difficult I guess as IPv6 has different means than IPv4.

To which I replied:
  Supposing an incompatible change will be needed anyway... what would
  you say about obsoleting icecream's own discovery protocol and
  making it use Avahi?

Stephan Kulow answered:
  We can migrate to it if you like, but everything that requires a
  reinstallation of the farm won't happen.

  And I don't see any reason to make it incompatible as I said. the
  scheduler always runs latest protocol and can register at avahi *and*
  listen to the ipv4 broadcast. So ipv6 only hosts need to run latest
  version and know about avahi. The SUSE way would be to use SLP instead
  of avahi btw
Comment 9 Michal Schmidt 2017-03-07 14:34:33 EST
There is an upstream feature request for IPv6:
https://github.com/icecc/icecream/issues/134

Closing this BZ, because I do not intend to work on this myself.

Note You need to log in before you can comment on or make changes to this bug.